Bug 510943 (ipplan) - Review Request: ipplan - Web-based IP address manager and tracker
Summary: Review Request: ipplan - Web-based IP address manager and tracker
Keywords:
Status: CLOSED ERRATA
Alias: ipplan
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL: http://iptrack.sourceforge.net/
Whiteboard:
Depends On: 513636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-12 17:36 UTC by Andrew Colin Kissa
Modified: 2009-09-10 22:55 UTC (History)
5 users (show)

Fixed In Version: 4.92-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-03 00:30:14 UTC
david: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Colin Kissa 2009-07-12 17:36:11 UTC
Spec URL: http://www.topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan.spec
SRPM URL: http://www.topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan-4.91-1.a.fc11.src.rpm
Description: 
IPplan is an administrative tool for ISPs and network service companies.
It goes beyond IP address management to provide DNS administration,
configuration file management, circuit management and storing of hardware
information, all customizable via templates. IPplan can handle a single
network or cater for multiple networks and customers with overlapping address
space. Making managing IP addresses and address spaces simple and easy.
It is written in PHP and requires a MySQL or PostgresSQL database.

Comment 1 David Nalley 2009-07-23 10:13:11 UTC
I'll start with the really painful stuff: Bundled libraries. 

So you know about adodb - and you mentioned it has been modified in the spec. 
The solutions are really to have upstream push their patches to adodb's upstream and included, or fork adodb (and package separately). The version appears to be quite dated anyway, being v4.54, and 5 years old while current release is v5.09. 

php-openlayers-menu is also bundled, as is layout.class 


The latter two are currently not in Fedora based on my quick search, so they'd need to be packaged. 

I am really interested in seeing ipplan make it into Fedora, so if you get either of the above packaged, let me know and I'll try and knock out reviews for those as well.

Comment 2 Andrew Colin Kissa 2009-07-23 10:21:19 UTC
I can handle the latter two, am not sure how upstream will respond to bumping up their adodb though as the bundled seems more like a fork as they have not bothered to keep up with the mainstream adodb.

Comment 3 David Nalley 2009-07-23 10:32:33 UTC
I can empathize.
Are you sure that ipplan won't work with the adodb currently in Fedora?? 
(I haven't looked at all at what has changed - so that might be complete non-sense. On the other hand if they have been adding additional classes, perhaps those could be congealed ina php-pear-adodb-ipplan package)

There is always FPC to appeal to as well, I suppose.

Comment 4 Andrew Colin Kissa 2009-07-23 10:36:38 UTC
Actually it is modifications to existing classes, i am going to try it with the fedora one and see. Will update when i have results.

Comment 5 Andrew Colin Kissa 2009-07-24 15:37:41 UTC
I have made the changes to use the fedora supplied adodb and i have packaged php-layers-menu https://bugzilla.redhat.com/show_bug.cgi?id=513636 it is awaiting review.

As for layout.class the upstream does not seem to exist any more. I have tested and very thing works for me.

The updated spec and srpm 
http://topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan.spec
http://topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan-4.91-2.a.fc11.src.rpm

Comment 6 Andrew Colin Kissa 2009-07-27 17:14:05 UTC
Updated spec because of changes to dependent packages.

http://topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan.spec
http://topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan-4.91-3.a.fc11.src.rpm

Comment 7 Gary T. Giesen 2009-08-12 23:06:23 UTC
I too would like to see this packaged, specifically in EPEL. Unfortunately, php-adodb does not have an EPEL branch right now, and the maintainer (abombard) is not interested in maintaning it. So there's a couple of options:

1) I would be willing to maintain the EPEL branches of php-adodb to ensure that ipplan gets packaged

2) If you're interested, you could maintain the php-adodb EPEL branch. 

Now, since my interest in php-adodb is only because of ipplan, I would prefer option 2, but I will do option 1 if that ensures that ipplan gets packaged.

Let me know which you prefer. Also note that an updated package (4.92) is available from upstream so you may want to consider packaging that instead.

Comment 8 Gary T. Giesen 2009-08-12 23:34:23 UTC
One more thing,

I believe the SRPM will have to be rebuilt with:

%_source_filedigest_algorithm md5
%_binary_filedigest_algorithm md5

in ~/.rpmmacros in order for this to build properly for EL-5 (RHEL5 doesn't support the new digest algorithms that Fedora 10/11 use).

Comment 9 Andrew Colin Kissa 2009-08-13 10:46:30 UTC
Gary,

I have submitted a request to maintain php-adodb for EPEL, I will work on bumping ipplan to 4.92 soon.

If you would be so kind as to look at https://bugzilla.redhat.com/show_bug.cgi?id=513954 if you can, which is holding up php-layers-menu which in turn will hold up ipplan.

Thanks in advance

Comment 11 David Nalley 2009-08-22 16:32:24 UTC
Andrew: 

sorry for my lag I will try and get this pushed out to you this weekend. 

Thanks for your work on this.

Comment 12 David Nalley 2009-08-22 17:04:37 UTC
OK: rpmlint must be run on every package. The output should be posted in the review.

[ke4qqq@nalleyt43 SPECS]$ rpmlint ./ipplan.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt43 SPECS]$ rpmlint ../SRPMS/ipplan-4.92-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt43 SPECS]$ rpmlint ../RPMS/noarch/ipplan-4.92-1.fc11.noarch.rpm 
ipplan.noarch: E: non-standard-dir-perm /var/cache/ipplan 0700
ipplan.noarch: E: non-readable /etc/ipplan/config.php 0640
1 packages and 0 specfiles checked; 2 errors, 0 warnings.




OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
GPLv2+ per source code

FIX: The License field in the package spec file must match the actual license.
SPEC file says GPLv2 should be GPLv2+ 

FIX: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc

gpl.html isn't pushed to %doc - I realize that this is likely due to the fact that it is referenced by the application - but consider symlinking.

OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
Ok: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines 

[ke4qqq@nalleyt43 SOURCES]$ md5sum ipplan-4.92.tar.gz*
2540b381744d1891b53b660fffc5ec56  ipplan-4.92.tar.gz
2540b381744d1891b53b660fffc5ec56  ipplan-4.92.tar.gz.1

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 

FIX: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. 

I think there is yet another bundled library - phpmailer 
http://sourceforge.net/projects/phpmailer/
This already exists in fedora as: php-PHPMailer

OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
NA: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 


So just one or two minor fixes left. 
As an aside - I personally don't like the idea of generating a password in a spec file, or of doing a restart of httpd (even though it is a condrestart) 
Several lines of reasoning for this - first - there could be a different webserver (I assume it will work with lighttpd and others.) Second - the idea that a package is doing this doesn't give me warm fuzzies personally. That said I can't find any packaging guidelines that prohibit this, so feel free to disregard these comments.

Comment 13 Andrew Colin Kissa 2009-08-23 10:23:48 UTC
Thanks David,

* License Tag - fixed

* Bundled Library (php-PHPMailer) - unbundled

* License include - fixed

* Password generation - fixed

* Apache restart - fixed

- Updated spec and srpm
http://topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan.spec
http://topdog-software.com/oss/SRPMS/fedora/ipplan/ipplan-4.92-2.fc11.src.rpm

Comment 14 David Nalley 2009-08-23 23:36:55 UTC
Andrew: 

Oustanding 

I note that you still have requires for /sbin/service, though it's not used any longer. I am sure you can fix that before it hits CVS. I have installed and am playing with this package now. 
Thanks for your work on this! 

APPROVED

Comment 15 Andrew Colin Kissa 2009-08-24 08:20:09 UTC
David:

Thanks for the review and all the help.
- Fixed the requires.

New Package CVS Request
=======================
Package Name: ipplan
Short Description: Web-based IP address manager and tracker
Owners: topdog
Branches: F-10 F-11 EL-5

Comment 16 Kevin Fenzi 2009-08-24 19:40:34 UTC
cvs done.

Comment 17 Fedora Update System 2009-08-25 09:28:12 UTC
ipplan-4.92-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ipplan-4.92-3.fc10

Comment 18 Fedora Update System 2009-08-25 09:28:18 UTC
ipplan-4.92-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ipplan-4.92-3.fc11

Comment 19 Fedora Update System 2009-08-25 09:28:24 UTC
ipplan-4.92-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/ipplan-4.92-3.el5

Comment 20 Fedora Update System 2009-08-25 16:02:35 UTC
ipplan-4.92-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipplan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0334

Comment 21 Fedora Update System 2009-08-25 22:10:41 UTC
ipplan-4.92-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipplan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8990

Comment 22 Fedora Update System 2009-08-25 22:12:57 UTC
ipplan-4.92-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipplan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9010

Comment 23 Fedora Update System 2009-09-03 00:30:09 UTC
ipplan-4.92-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2009-09-03 00:34:57 UTC
ipplan-4.92-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2009-09-10 22:55:33 UTC
ipplan-4.92-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.